Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025288
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-12-09 09:252014-01-02 12:49
ReportermalsasuaView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchFixed in SCM revision7cf988019c1e
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025288: IOS 7 compatibility:barcode scanner does not work

DescriptionIn the tab "SCAN", the barcode scanner does not work.
But, it works in the tab "SEARCH"
Steps To Reproduce. plug a barcode scanner
. in the tab "SCAN" try to read a code

the product is not added to receipt.

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062717)
hgbot (developer)
2013-12-12 13:03

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 7cf988019c1e143bee4c9e80bb8c4937d6c89c83
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 12 13:03:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^]

Fixed issue 25288: IOS 7 compatibility:barcode scanner does not work

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0062790)
hgbot (developer)
2013-12-18 14:36

Repository: erp/pmods/org.openbravo.mobile.core.cirque
Changeset: 7cf988019c1e143bee4c9e80bb8c4937d6c89c83
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 12 13:03:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^]

Fixed issue 25288: IOS 7 compatibility:barcode scanner does not work

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0062874)
hgbot (developer)
2013-12-19 16:12

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: bdb4265590922e1649fb0fbaeaebfaae5d224757
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 19 16:12:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/bdb4265590922e1649fb0fbaeaebfaae5d224757 [^]

related issue 25288: changed event from keyup to keypress ONLY to IOS devices and keycode 13(intro)

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0062888)
hgbot (developer)
2013-12-19 18:19

Repository: erp/pmods/org.openbravo.mobile.core.offline
Changeset: 7cf988019c1e143bee4c9e80bb8c4937d6c89c83
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 12 13:03:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.offline/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^]

Fixed issue 25288: IOS 7 compatibility:barcode scanner does not work

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0062890)
hgbot (developer)
2013-12-19 18:19

Repository: erp/pmods/org.openbravo.mobile.core.offline
Changeset: bdb4265590922e1649fb0fbaeaebfaae5d224757
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 19 16:12:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.offline/rev/bdb4265590922e1649fb0fbaeaebfaae5d224757 [^]

related issue 25288: changed event from keyup to keypress ONLY to IOS devices and keycode 13(intro)

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0062964)
guilleaer (developer)
2013-12-20 10:31

verified
(0063175)
hgbot (developer)
2014-01-02 12:49

Repository: erp/pmods/org.openbravo.mobile.core.cirque
Changeset: bdb4265590922e1649fb0fbaeaebfaae5d224757
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Thu Dec 19 16:12:14 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/bdb4265590922e1649fb0fbaeaebfaae5d224757 [^]

related issue 25288: changed event from keyup to keypress ONLY to IOS devices and keycode 13(intro)

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---

- Issue History
Date Modified Username Field Change
2013-12-09 09:25 malsasua New Issue
2013-12-09 09:25 malsasua Assigned To => marvintm
2013-12-09 09:25 malsasua Triggers an Emergency Pack => No
2013-12-12 13:03 hgbot Checkin
2013-12-12 13:03 hgbot Note Added: 0062717
2013-12-12 13:03 hgbot Status new => resolved
2013-12-12 13:03 hgbot Resolution open => fixed
2013-12-12 13:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^]
2013-12-18 14:36 hgbot Checkin
2013-12-18 14:36 hgbot Note Added: 0062790
2013-12-18 14:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^]
2013-12-19 16:12 hgbot Checkin
2013-12-19 16:12 hgbot Note Added: 0062874
2013-12-19 18:19 hgbot Checkin
2013-12-19 18:19 hgbot Note Added: 0062888
2013-12-19 18:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.offline/rev/7cf988019c1e143bee4c9e80bb8c4937d6c89c83 [^]
2013-12-19 18:19 hgbot Checkin
2013-12-19 18:19 hgbot Note Added: 0062890
2013-12-20 10:31 guilleaer Review Assigned To => guilleaer
2013-12-20 10:31 guilleaer Note Added: 0062964
2013-12-20 10:31 guilleaer Status resolved => closed
2013-12-20 10:31 guilleaer Fixed in Version => RMP30
2014-01-02 12:49 hgbot Checkin
2014-01-02 12:49 hgbot Note Added: 0063175


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker